# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name cabal-file-th

%global common_summary Template Haskell expressions for reading cabal files

%global common_description %{common_summary}

Name:           ghc-%{pkg_name}
Version:        0.2.3
Release:        3%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# does not need ghci for template-haskell
# Begin cabal-rpm deps:
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-template-haskell-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README.md


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 13 2012 Jens Petersen <petersen@redhat.com> - 0.2.3-2
- does not use ghci for its template-haskell

* Tue Nov 06 2012 Jens Petersen <petersen@redhat.com> - 0.2.3-1
- update to 0.2.3
- added ghc_arches_with_ghci for template-haskell

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 24 2012 Jens Petersen <petersen@redhat.com> - 0.2.2-2
- add license to ghc_files

* Sun Mar 04 2012 Ben Boeckel <mathstuf@gmail.com> - 0.2.2-1
- Initial package

* Wed Feb 29 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.2-1
- spec file template generated by cabal2spec-0.25.4
